package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ReasonCodeGroupPO;
import mhp.oee.po.gen.ReasonCodeGroupPOExample;

public interface ReasonCodeGroupPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int countByExample(ReasonCodeGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int deleteByExample(ReasonCodeGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int insert(ReasonCodeGroupPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int insertSelective(ReasonCodeGroupPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    List<ReasonCodeGroupPO> selectByExample(ReasonCodeGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    ReasonCodeGroupPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ReasonCodeGroupPO record, @Param("example") ReasonCodeGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ReasonCodeGroupPO record, @Param("example") ReasonCodeGroupPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ReasonCodeGroupPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table reason_code_group
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ReasonCodeGroupPO record);
}